LinuxQMISDK: getDUNCallInfoResp Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
getDUNCallInfoResp Struct Reference

## Data Fields
ConnectionStatus * | pConnectionStatus
WORD * | pCallEndReason
ULONGLONG * | pTXOKBytesCount
ULONGLONG * | pRXOKBytesCount
BYTE * | pDormancyStatus
BYTE * | pDataBearerTech
ChannelRate * | pChannelRate
ULONGLONG * | pLastCallTXOKBytesCnt
ULONGLONG * | pLastCallRXOKBytesCnt
ULONGLONG * | pMdmCallDurationActive
BYTE * | pLastCallDataBearerTech

## Detailed Description

This structure contains the DUN Call Info response parameters

Parameters

  pConnectionStatus | See ConnectionStatus for more information
  pCallEndReason | Last modem call end reason See qaGobiApiTableCallEndReasons.h for Call End Reason Only valid if the last call made was DUN, else zero is returned
  pTXOKBytesCount | Number of bytes transmitted without error Returned only if a data call is up
  pRXOKBytesCount | Number of bytes received without error Returned only if a data call is up
  pDormancyStatus | Current traffic channel status Returned if a data call is up 0x01 - Traffic channel dormant 0x02 - Traffic channel active
  pDataBearerTech | Current data bearer technology Returned only if a data call is up 0x01 - cdma2000 1X 0x02 - cdma2000 HRPD (1xEV-DO) 0x03 - GSM 0x04 - UMTS 0x05 - cdma200 HRPD ( 1xEV-DO RevA) 0x06 - EDGE 0x07 - HSDPA and WCDMA 0x08 - WCDMA and HSUPA 0x09 - HSDPA and HSUPA 0x0A - LTE 0x0B - cdma2000 EHRPD 0x0C - HSDPA+ and WCDMA 0x0D - HSDPA+ and HSUPA 0x0E - DC_HSDPA+ and WCDMA 0x0F - DC_HSDPA+ and HSUPA 0x10 - HSDPA+ and 64QAM 0x11 - HSDPA+, 64QAM and HSUPA 0x12 - TDSCDMA 0x13 - TDSCDMA and HSDPA 0xFF - Unknown
  pChannelRate | See ChannelRate for more information
  pLastCallTXOKBytesCnt | Number of bytes transmitted without error during the last data call ( 0 if no call was made ). Return only if not in a call and the previous call was made using DUN.
  pLastCallRXOKBytesCnt | Number of bytes transmitted without error during the last data call ( 0 if no call was made ). Return only if not in a call and the previous call was made using DUN.
  pMdmCallDurationActive | Duration that the call is active in milliseconds If the modem connection status is connected, this represents the active duration of the current DUN call If the modem connection status is disconnected, this represents the duration of the last DUN call since the device was powered up (0 if no call has been made or if the last call was not DUN)
  pLastCallDataBearerTech | Last Call Data Bearer Technology Returned only if not in a call and when the previous call was made using DUN 0x01 - cdma2000 1X 0x02 - cdma2000 HRPD (1xEV-DO) 0x03 - GSM 0x04 - UMTS 0x05 - cdma200 HRPD (1xEV-DO Rev A) 0x06 - EDGE 0x07 - HSDPA and WCDMA 0x08 - WCDMA and HSUPA 0x09 - HSDPA and HSUPA 0x0A - LTE 0x0B - cdma2000 EHRPD 0x0C - HSDPA+ and WCDMA 0x0D - HSDPA+ and HSUPA 0x0E - DC_HSDPA+ and WCDMA 0x0F - DC_HSDPA+ and HSUPA 0x10 - HSDPA+ and 64QAM 0x11 - HSDPA+, 64QAM and HSUPA 0x12 - TDSCDMA 0x13 - TDSCDMA and HSDPA 0xFF - Unknown

## Field Documentation

WORD* getDUNCallInfoResp::pCallEndReason

ChannelRate* getDUNCallInfoResp::pChannelRate

ConnectionStatus* getDUNCallInfoResp::pConnectionStatus

BYTE* getDUNCallInfoResp::pDataBearerTech

BYTE* getDUNCallInfoResp::pDormancyStatus

BYTE* getDUNCallInfoResp::pLastCallDataBearerTech

ULONGLONG* getDUNCallInfoResp::pLastCallRXOKBytesCnt

ULONGLONG* getDUNCallInfoResp::pLastCallTXOKBytesCnt

ULONGLONG* getDUNCallInfoResp::pMdmCallDurationActive

ULONGLONG* getDUNCallInfoResp::pRXOKBytesCount

ULONGLONG* getDUNCallInfoResp::pTXOKBytesCount